View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityalways 
Status closed 
Fixed in Version2.5 (リリース) 
Summary0000312: delete.txt seems not work
Description

I'm not sure of the specifics, but it seems that many users have files left in their ghost folders that should have been deleted, and I'm wondering if the delete.txt check only works in recovery mode updates?

TagsNo tags attached.
Attach Tags

Activities

ponapalt

2021-10-07 11:09

administrator   ~0000776

Last edited: 2021-10-07 11:11

I can't investigate exactly why the files remain.

delete.txt may activated when 1 or more update file(s) found.
If you want to activate delete.txt forcibly, please update delete.txt itself. I think that adding blank line is good.

guest

2021-10-07 11:32

reporter   ~0000779

So delete.txt is activated when an update is found and not when the update is completed, right?
Sometimes I rename the dic in the dic folder and update delete.txt, and then a bunch of users go into emergency mode because of function redefinition (I use the dic include method dicdir)
I think I probably know why now

ponapalt

2021-10-08 11:16

administrator   ~0000780

delete.txt is activated when an update is found and not when the update is completed
Yes.

guest

2021-10-08 18:38

reporter   ~0000781

So how about putting the activation of delete.txt after the update is complete?
Or activate delete.txt once before and once after the update
I can't think of a reason at the moment to have to check delete.txt before the update

ponapalt

2021-10-11 05:02

administrator   ~0000785

I'm sorry. delete.txt will activate when update is found and completed.
What I want to say is delete.txt will be not activated when update is not found.

guest

2021-10-11 23:51

reporter   ~0000787

thanks!

ponapalt

2021-10-12 09:14

administrator   ~0000788

next version : delete.txt will be activated even if no update file exist.

ponapalt

2021-10-12 12:52

administrator   ~0000796

2.5.35

Issue History

Date Modified Username Field Change
2021-10-06 17:58 guest New Issue
2021-10-07 11:09 ponapalt Assigned To => ponapalt
2021-10-07 11:09 ponapalt Status new => feedback
2021-10-07 11:09 ponapalt Note Added: 0000776
2021-10-07 11:10 ponapalt Note Edited: 0000776
2021-10-07 11:10 ponapalt Note Edited: 0000776
2021-10-07 11:11 ponapalt Note Edited: 0000776
2021-10-07 11:32 guest Note Added: 0000779
2021-10-07 11:32 guest Status feedback => assigned
2021-10-08 11:16 ponapalt Note Added: 0000780
2021-10-08 11:16 ponapalt Status assigned => feedback
2021-10-08 18:38 guest Note Added: 0000781
2021-10-08 18:38 guest Status feedback => assigned
2021-10-11 05:02 ponapalt Status assigned => feedback
2021-10-11 05:02 ponapalt Note Added: 0000785
2021-10-11 23:51 guest Note Added: 0000787
2021-10-11 23:51 guest Status feedback => assigned
2021-10-12 09:14 ponapalt Status assigned => confirmed
2021-10-12 09:14 ponapalt Note Added: 0000788
2021-10-12 12:52 ponapalt Status confirmed => closed
2021-10-12 12:52 ponapalt Resolution open => fixed
2021-10-12 12:52 ponapalt Fixed in Version => 2.5 (リリース)
2021-10-12 12:52 ponapalt Note Added: 0000796